System Global/Long Job Interfaces
DELETELong Job InterfacesSince 2.3SynchronousAuth Required
Delete Long Job
Delete Long Job
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the resource. Uniquely identifies the resource.
Body Fields
systemTagsListSystem tags
userTagsListUser tags
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/longjobs/{uuid}
/zstack/v1/longjobs/{uuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/longjobs/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
